Subject: Re: [PATCHv2/RFC 09/10] gitweb: Incremental blame (proof of concept)

From: Jakub Narebski <[email-masked]>
Date: Sat, 25 Jul 2009 21:28:22 +0200

On Sat, 25 July 2009, Jakub Narebski wrote:

> * set and deal with "no-previous" and "multiple-previous" classes;
>   this was somewhat-ported from 'blame' view in gitweb.perl

Note that it is something that we unfortunately would have to deal with, 
namely playing catch-up with new features in gitweb's 'blame' view, 
"duplicating" quite a bit of code (well, rewriting Perl code in 
JavaScript).  But this is, I think, unfortunately unavoidable, unless 
we move to generating JavaScript code from Perl, e.g. using CGI::Ajax
(something that GWT does with Java and JavaScript).

-- 
Jakub Narebski
Poland